libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Structures | Functions
desc_ts_info.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the ISDB TS information descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_desc_ts_info_transmission_type
| ISDB TS information transmission type. More...
struct | dvb_desc_ts_info
| Structure describing the ISDB TS information descriptor. More...

## Functions
int | dvb_desc_ts_info_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the ISDB TS information descriptor. More...
void | dvb_desc_ts_info_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the ISDB TS information descriptor. More...
void | dvb_desc_ts_info_free (struct dvb_desc *desc)
| Frees all data allocated by the ISDB TS information descriptor. More...

## Detailed Description

Provides the descriptors for the ISDB TS information descriptor.

The TS information descriptor specifies the remote control key identifier assigned to the applicable TS and indicates the relationship between the service identifier and the transmission layer during hierarchical transmission.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Relevant specs
  The descriptor described herein is defined at:
  - ARIB STD-B10

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_ts_info.h.